diff --git a/changelog b/changelog
index 56e625a..08229c9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20081027 tpd src/input/Makefile add SAE example
+20081027 tpd src/input/sae.input add SAE example
 20081026 tpd books/bookvol10.2 add categories	
 20081026 tpd books/ps/v102functionspace.ps added
 20081026 tpd ps/v102intervalcategory.ps added
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 93c2ee7..8f1549b 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -350,6 +350,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     realclos.regress  reclos.regress   regset.regress \
     repa6.regress     robidoux.regress \
     roman.regress     roots.regress    ruleset.regress  rules.regress \
+    sae.regress \
     schaum1.regress   schaum2.regress  schaum3.regress  schaum4.regress \
     schaum5.regress   schaum6.regress  schaum7.regress  schaum8.regress \
     schaum9.regress   schaum10.regress schaum11.regress schaum12.regress \
@@ -637,7 +638,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/radff.input    ${OUT}/radix.input      ${OUT}/realclos.input \
        ${OUT}/reclos.input   ${OUT}/regset.input     \
        ${OUT}/robidoux.input ${OUT}/roman.input      ${OUT}/roots.input \
-       ${OUT}/ruleset.input  ${OUT}/rules.input      ${OUT}/schaum1.input \
+       ${OUT}/ruleset.input  ${OUT}/rules.input      ${OUT}/sae.input \
+       ${OUT}/schaum1.input \
        ${OUT}/schaum2.input  ${OUT}/schaum3.input    ${OUT}/schaum4.input \
        ${OUT}/schaum5.input  ${OUT}/schaum6.input    ${OUT}/schaum7.input \
        ${OUT}/schaum8.input  ${OUT}/schaum9.input    ${OUT}/schaum10.input \
@@ -956,6 +958,7 @@ DOCFILES= \
   ${DOC}/robidoux.input.dvi    ${DOC}/roman.input.dvi      \
   ${DOC}/romnum.as.dvi         ${DOC}/roots.input.dvi      \
   ${DOC}/ruleset.input.dvi     ${DOC}/rules.input.dvi      \
+  ${DOC}/sae.input.dvi \
   ${DOC}/schaum1.input.dvi     ${DOC}/schaum2.input.dvi \
   ${DOC}/schaum3.input.dvi     ${DOC}/schaum4.input.dvi \
   ${DOC}/schaum5.input.dvi     ${DOC}/schaum6.input.dvi \
diff --git a/src/input/sae.input.pamphlet b/src/input/sae.input.pamphlet
new file mode 100644
index 0000000..b720cce
--- /dev/null
+++ b/src/input/sae.input.pamphlet
@@ -0,0 +1,84 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input sae.input}
+\author{Waldek Hebisch}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool sae.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 6
+pol1:=x^2+1
+--R
+--R         2
+--R   (1)  x  + 1
+--R                                                     Type: Polynomial Integer
+--E 1
+
+--S 2 of 6
+pol2:=z^3-2
+--R
+--R         3
+--R   (2)  z  - 2
+--R                                                     Type: Polynomial Integer
+--E 2
+
+--S 3 of 6
+primrec:=primitiveElement([pol1,pol2],[x,z])$PrimitiveElement(FRAC(INT))
+--R
+--R   (3)
+--R   [coef= [- 3,- 1],
+--R
+--R     poly =
+--R            2   5     1   4    20  3    13   2   2431      91
+--R       [- ---- ?  - ---- ?  - --- ?  - ---- ?  - ---- ? + ---,
+--R          1293      7758      431      1293      3879     862
+--R         2   5     1   4    60  3    13  2   1138     273
+--R        --- ?  + ---- ?  + --- ?  + --- ?  + ---- ? - ---]
+--R        431      2586      431      431      1293     862
+--R     ,
+--R           6      4     3       2
+--R    prim= ?  + 27?  + 4?  + 243?  - 108? + 733]
+--RType: Record(coef: List Integer,poly: List SparseUnivariatePolynomial Fraction Integer,prim: SparseUnivariatePolynomial Fraction Integer)
+--E 3
+
+--S 4 of 6
+Ae:=SAE(FRAC(INT),SparseUnivariatePolynomial(FRAC(INT)),primrec.prim)
+--R
+--R   (4)
+--R  SimpleAlgebraicExtension(Fraction Integer,SparseUnivariatePolynomial Fraction
+--R   Integer,?**6+27*?**4+4*?**3+243*?*?+(-108*?)+733)
+--R                                                                 Type: Domain
+--E 4
+
+--S 5 of 6
+(primrec.poly.1::Ae)^2
+--R
+--R   (5)  - 1
+--RType: SimpleAlgebraicExtension(Fraction Integer,SparseUnivariatePolynomial Fraction Integer,?**6+27*?**4+4*?**3+243*?*?+(-108*?)+733)
+--E 5
+
+--S 6 of 6
+(primrec.poly.2::Ae)^3
+--R
+--R   (6)  2
+--RType: SimpleAlgebraicExtension(Fraction Integer,SparseUnivariatePolynomial Fraction Integer,?**6+27*?**4+4*?**3+243*?*?+(-108*?)+733)
+--E 6
+
+)spool 
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
